version: "3.8"

configs:
  config-runner:
    file: ./config.toml

services:
  gitlab-runner:
    container_name: gitlab-runner-cloud-2023
    restart: unless-stopped
    configs:
      - source: config-runner
        target: /etc/gitlab-runner/config.toml
    volumes:
      - '/var/run/docker.sock:/var/run/docker.sock'
    image: 'gitlab/gitlab-runner:alpine'
